org.apache.jasper.tagplugins.jstl.core

## Class Choose

- java.lang.Object
- - org.apache.jasper.tagplugins.jstl.core.Choose

All Implemented Interfaces:
  TagPlugin

    public final class Choose
    extends Object
    implements TagPlugin

### Constructor Summary

Constructors
Constructor and Description
`Choose()`

### Method Summary

Methods
`void` `doTag(TagPluginContext ctxt)` Generate codes for a custom tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Choose

    public Choose()

### Method Detail

#### doTag

    public void doTag(TagPluginContext ctxt)

Description copied from interface: `TagPlugin`
Generate codes for a custom tag.

Specified by:
  `doTag` in interface `TagPlugin`
Parameters:
  `ctxt` - a TagPluginContext for accessing Jasper functions